com.jogamp.opengl.util.stereo

## Class EyeParameter

- java.lang.Object
- - com.jogamp.opengl.util.stereo.EyeParameter

-     public final class EyeParameter
      extends Object

  Constant parameter for one eye.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `distMiddleToPupilY` Vertical distance from middle-line to pupil in meter.
    `float` | `distNoseToPupilX` IPD related horizontal distance from nose to pupil in meter.
    `float` | `eyeReliefZ` Z-axis eye relief in meter.
    `FovHVHalves` | `fovhv` Field of view in both directions, may not be centered, either in radians or tangent.
    `int` | `number` Eye number, `0` for the left eye and `1` for the right eye.
    `float[]` | `positionOffset` float[3] eye position vector used to define eye height in meter relative to actor.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EyeParameter(int number, float[] positionOffset, FovHVHalves fovhv, float distNoseToPupil, float verticalDelta, float eyeRelief)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### number

          public final int number

      Eye number, `0` for the left eye and `1` for the right eye.

    - #### positionOffset

          public final float[] positionOffset

      float[3] eye position vector used to define eye height in meter relative to actor.

    - #### fovhv

          public final FovHVHalves fovhv

      Field of view in both directions, may not be centered, either in radians or tangent.

    - #### distNoseToPupilX

          public final float distNoseToPupilX

      IPD related horizontal distance from nose to pupil in meter.

    - #### distMiddleToPupilY

          public final float distMiddleToPupilY

      Vertical distance from middle-line to pupil in meter.

    - #### eyeReliefZ

          public final float eyeReliefZ

      Z-axis eye relief in meter.

  - ### Constructor Detail

    - #### EyeParameter

          public EyeParameter(int number,
                      float[] positionOffset,
                      FovHVHalves fovhv,
                      float distNoseToPupil,
                      float verticalDelta,
                      float eyeRelief)

  - ### Method Detail

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.